<?php 

# Displays a list of popular posts
function pp_popular_posts($num, $pre='<li>', $suf='</li>', $excerpt=true) {
global $wpdb;
$querystr = "SELECT $wpdb->posts.post_title, $wpdb->posts.ID, $wpdb->posts.comment_count FROM $wpdb->posts WHERE $wpdb->posts.post_status = 'publish' AND $wpdb->posts.post_type = 'post' ORDER BY $wpdb->posts.comment_count DESC LIMIT $num";
$myposts = $wpdb->get_results($querystr, OBJECT);
foreach($myposts as $post) {
echo $pre;
?>

<a href="<?php echo get_permalink($post->ID); ?>"><?php echo $post->post_title ?></a></p>
<div class="clear"></div>

<?php
echo $suf;
}
}
# Displays post image attachment (sizes: thumbnail, medium, full)
function pp_attachment_image($postid=0, $size='thumbnail', $attributes='') {
if ($postid<1) $postid = get_the_ID();
$custom = get_post_meta($postid, 'articleimg', true);
if (strlen($custom)>0) {
?><img src="<?php echo $custom; ?>" <?php echo $attributes; ?> /><?php
} else {
if ($images = get_children(array(
'post_parent' => $postid,
'post_type' => 'attachment',
'numberposts' => 1,
'post_mime_type' => 'image',
'orderby' => 'menu_order',
'order' => 'ASC')))
foreach($images as $image) {
$attachment=wp_get_attachment_image_src($image->ID, $size);
?><img src="<?php echo $attachment[0]; ?>" <?php echo $attributes; ?> /><?php
}
}
}


$themename = "Pretty Face";
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	
function imaj_image(){

if ( has_post_thumbnail() ) {
	 ?><div class="thumb-box"><span class="comm_nr"><?php comments_number('Комментарии (0)','Комментарии (1)','Комментарии (%)');?></span> / <a href="<?php the_permalink(); ?>">Читать полностью</a></div><?php the_post_thumbnail( 'imaj', array('class' => 'entry img post-image-prelaoder') );?><?php
} else {

};

}
function sl_thumb_image(){

if ( has_post_thumbnail() ) {
	 ?><?php the_post_thumbnail( 'sl_thumb', array('class' => 'nav-thumb') );?><?php
} else {

};

}
	
if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'imaj', 208, 175, true );
	add_image_size( 'sl_thumb', 77, 64, true ); 

}	

if ( function_exists( 'wp_nav_menu' ) ){
	if (function_exists('add_theme_support')) {
		add_theme_support('nav-menus');
		add_action( 'init', 'register_my_menus' );
		function register_my_menus() {
			register_nav_menus(
				array(
					'top-links' => __( 'Top Links' ),
					'main-menu' => __( 'Main Menu' ),
					'footer-links' => __( 'Footer Links' )
				)
			);
		}
	}
}

/* Paginate */
function emm_paginate($args = null) {
	$defaults = array(
		'page' => null, 'pages' => null, 
		'range' => 3, 'gap' => 3, 'anchor' => 1,
		'before' => '<div class="emm-paginate">', 'after' => '</div>',
		'title' => __('Страницы:'),
		'nextpage' => __('&raquo;'), 'previouspage' => __('&laquo'),
		'echo' => 1
	);

	$r = wp_parse_args($args, $defaults);
	extract($r, EXTR_SKIP);

	if (!$page && !$pages) {
		global $wp_query;

		$page = get_query_var('paged');
		$page = !empty($page) ? intval($page) : 1;

		$posts_per_page = intval(get_query_var('posts_per_page'));
		$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
	}
	
	$output = "";
	if ($pages > 1) {	
		$output .= "$before<span class='emm-title'>$title</span>";
		$ellipsis = "<span class='emm-gap'>...</span>";

		if ($page > 1 && !empty($previouspage)) {
			$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='emm-prev'>$previouspage</a>";
		}
		
		$min_links = $range * 2 + 1;
		$block_min = min($page - $range, $pages - $min_links);
		$block_high = max($page + $range, $min_links);
		$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
		$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

		if ($left_gap && !$right_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $pages, $page)
			);
		}
		else if ($left_gap && $right_gap) {
			$output .= sprintf('%s%s%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $block_high, $page), 
				$ellipsis, 
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else if ($right_gap && !$left_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $block_high, $page),
				$ellipsis,
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else {
			$output .= emm_paginate_loop(1, $pages, $page);
		}

		if ($page < $pages && !empty($nextpage)) {
			$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='emm-next'>$nextpage</a>";
		}

		$output .= $after;
	}

	if ($echo) {
		echo $output;
	}

	return $output;
}

function emm_paginate_loop($start, $max, $page = 0) {
	$output = "";
	for ($i = $start; $i <= $max; $i++) {
		$output .= ($page === intval($i)) 
			? "<span class='emm-page emm-current'>$i</span>" 
			: "<a href='" . get_pagenum_link($i) . "' class='emm-page'>$i</a>";
	}
	return $output;
}



add_filter('excerpt_length', 'my_excerpt_length');
function my_excerpt_length($length) {
return 35; }

function new_excerpt_more($more) {
       global $post;
	return '';
}
add_filter('excerpt_more', 'new_excerpt_more');


/* CallBack functions for menus in case of earlier than 3.0 Wordpress version or if no menu is set yet*/

function toplinks(){ ?>
		<div id="topLinks">
			<ul>
			<?php if(is_home()){?>
					<li class="current_page_item"><a href="<?php bloginfo('url'); ?>/">Главная</a></li>
					<?php wp_list_pages('title_li=')?>
					<?php } else {?>
					<li><a href="<?php bloginfo('url'); ?>/">Главная</a></li>
					<?php wp_list_pages('title_li=')?>
					<?php }?>
					
			</ul>
		</div>
<?php }

function footerlinks(){ ?>
		<div id="footerLinks">
			<ul>
					<li><a href="<?php bloginfo('url'); ?>/">Главная</a></li>
					<?php wp_list_pages('title_li=') ?>
			</ul>
		</div>
<?php }

function mainmenu(){ ?>
		<div id="topMenu">
			<ul class="sf-menu">
				<?php wp_list_categories('hide_empty=1&exclude=1&title_li='); ?>
			</ul>
		</div>
<?php }

function content($num) {  
		$theContent = get_the_content();  
		$output = preg_replace('/<img[^>]+./','', $theContent);  
		$limit = $num+1;  
		$content = explode(' ', $output, $limit);  
		array_pop($content);  
		$content = implode(" ",$content)."...";  
		echo $content;  
}


function post_is_in_descendant_category( $cats, $_post = null )
{
	foreach ( (array) $cats as $cat ) {
		// get_term_children() accepts integer ID only
		$descendants = get_term_children( (int) $cat, 'category');
		if ( $descendants && in_category( $descendants, $_post ) )
			return true;
	}
	return false;
}

function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
  	

     <div id="comment-<?php comment_ID(); ?>">
	 <div class="cocomment"><div class="comm-arrow"></div>
      <div class="comment-author vcard">
	  <div class="comment-meta commentmetadata">
	   <?php echo get_avatar($comment,$size='64',$default='http://www.gravatar.com/avatar/61a58ec1c1fba116f8424035089b7c71?s=64&d=&r=G' ); ?>
	  <?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?> <br /><?php printf(__('<strong>%s</strong> says:'), get_comment_author_link()) ?><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
         
      </div>
	  
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает проверки администратором.') ?></em>
         <br />
      <?php endif; ?>

      <div class="text"><?php comment_text() ?></div>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
	  </div>
     </div>
<?php }

function Get_Post_Number($postID){
	$temp_query = $wp_query;
	$postNumberQuery = new WP_Query('orderby=date&order=<strong>DESC</strong>&posts_per_page=-1');
	$counter = 1;
	$postCount = 0;
	if($postNumberQuery->have_posts()) :
		while ($postNumberQuery->have_posts()) : $postNumberQuery->the_post();
			if ($postID == get_the_ID()){
				$postCount = $counter;
			} else {
				$counter++;
			}
	endwhile; endif;
	wp_reset_query();
	$wp_query = $temp_query;
	return $postCount;
}

add_action('admin_menu', 'cici_theme_page');

function cici_theme_page ()
{
global $themename;

	if ( count($_POST) > 0 && isset($_POST['cici_settings']) )
	{
		$options = array ( 'style','logo_img','logo_alt','logo_txt', 'logo_tagline', 'tagline_width', 'contact_email','ads','ads1', 'advertise_page', 'twitter_link', 'facebook_link', 'about_tit', 'about_txt','image_url1','banner_url1','image_url2','banner_url2','image_url3','banner_url3','image_url4','banner_url4','banner_url5','image_url5', 'analytics','video','videos','featured', 'slide_cat', 'slide_num', 'slide');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'cici_'.$opt, $_POST[$opt] );
			add_option ( 'cici_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_theme_page("Настройки ".__($themename), "Настройки ".__($themename), 'edit_themes', basename(__FILE__), 'cici_settings');	
}

function cici_settings ()
{
global $themename, $shortname, $options;
?>
<div class="wrap">
	<h2>Настройки <?php echo $themename ?></h2>
	
<form method="post" action="">
	<table class="form-table">
		<!-- General settings -->
		<tr>
			<th colspan="2"><strong>Общие настройки</strong></th>
		</tr>
			
		<tr valign="top">
			<th scope="row"><label for="logo_img">Логотип (полный путь к изображению)</label></th>
			<td>
				<input name="logo_img" type="text" id="logo_img" value="<?php echo get_option('cici_logo_img'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_alt">Альтернативный текст к логотипу</label></th>
			<td>
				<input name="logo_alt" type="text" id="logo_alt" value="<?php echo get_option('cici_logo_alt'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_txt">Текст вместо логотипа</label></th>
			<td>
				<input name="logo_txt" type="text" id="logo_txt" value="<?php echo get_option('cici_logo_txt'); ?>" class="regular-text" />
				<br /><em>Оставьте поле пустым, если используете графический логотип</em>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_tagline">Описание блога</label></th>
			<td>
				<input name="logo_tagline" type="text" id="logo_tagline" value="<?php echo get_option('cici_logo_tagline'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="tagline_width">Ширина описания блога (px)</label><br /><em style="font-size:11px">По умолчанию: 300px</em></th>
			<td>
				<input name="tagline_width" type="text" id="tagline_width" value="<?php echo get_option('cici_tagline_width'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="contact_email">E-mail для контактной формы</label></th>
			<td>
				<input name="contact_email" type="text" id="contact_email" value="<?php echo get_option('cici_contact_email'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="twitter_link">Ссылка на Твиттер</label></th>
			<td>
				<input name="twitter_link" type="text" id="twitter_link" value="<?php echo get_option('cici_twitter_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="facebook_link">Ссылка на Facebook</label></th>
			<td>
				<input name="facebook_link" type="text" id="facebook_link" value="<?php echo get_option('cici_facebook_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<!-- Sidebar ABout Box-->
		<tr>
			<th colspan="2"><strong>Текстовый виджет</strong></th>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="about_tit">Заголовок</label></th>
			<td>
				<input name="about_tit" type="text" id="about_tit" value="<?php echo get_option('cici_about_tit'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="about_txt">Текст</label></th>
			<td>
				<textarea cols="60" rows="5" name="about_txt" type="text" id="about_txt" class="regular-text" /><?php echo get_option('cici_about_txt'); ?></textarea>
			</td>
		</tr>
		<!-- Ads Box Settings -->
		
		<tr>
			<th colspan="2"><strong>Рекламные баннеры 125x125 для сайдбара</strong></th>
		</tr>
		<tr>
			<th><label for="ads">Включить отображение рекламы:</label></th>
			<td>
				<select name="ads" id="ads">
					<option value="no" <?php if(get_option('cici_ads') == 'no'){?>selected="selected"<?php }?>>Нет</option>
					<option value="yes" <?php if(get_option('cici_ads') == 'yes'){?>selected="selected"<?php }?>>Да</option>
				</select> 
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label for="image_url1">Ссылка для картинки 1</label></th>
			<td>
				<input name="image_url1" type="text" id="image_url1" value="<?php echo get_option('cici_image_url1'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="banner_url1">Ссылка для баннера 1</label></th>
			<td>
				<input name="banner_url1" type="text" id="banner_url1" value="<?php echo get_option('cici_banner_url1'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="image_url2">Ссылка для картинки 2</label></th>
			<td>
				<input name="image_url2" type="text" id="image_url2" value="<?php echo get_option('cici_image_url2'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="banner_url2">Ссылка для баннера 2</label></th>
			<td>
				<input name="banner_url2" type="text" id="banner_url2" value="<?php echo get_option('cici_banner_url2'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="image_url3">Ссылка для картинки 3</label></th>
			<td>
				<input name="image_url3" type="text" id="image_url3" value="<?php echo get_option('cici_image_url3'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="banner_url3">Ссылка для баннера 3</label></th>
			<td>
				<input name="banner_url3" type="text" id="banner_url3" value="<?php echo get_option('cici_banner_url3'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="image_url4">Ссылка для картинки 4</label></th>
			<td>
				<input name="image_url4" type="text" id="image_url4" value="<?php echo get_option('cici_image_url4'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="banner_url4">Ссылка для баннера 4</label></th>
			<td>
				<input name="banner_url4" type="text" id="banner_url4" value="<?php echo get_option('cici_banner_url4'); ?>" class="regular-text" />
			</td>
		</tr>
			
		<!-- Google Analytics -->
		<tr>
			<th><label for="ads">Код Google Analytics:</label></th>
			<td>
				<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('cici_analytics')); ?></textarea>
			</td>
		</tr>
        <!-- Featured Posts -->
		<tr>
			<th colspan="2"><strong>Популярные записи</strong></th>
		</tr>
       <tr>
			<th><label for="slide">Включить слайдер популярных записей:</label></th>
			<td>
				<select name="slide" id="slide">
					<option value="no" <?php if(get_option('cici_slide') == 'no'){?>selected="selected"<?php }?>>Нет</option>
					<option value="yes" <?php if(get_option('cici_slide') == 'yes'){?>selected="selected"<?php }?>>Да</option>
				</select> 
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="slide_cat">Выберите категорию</label></th>
            <td>
            <select name="slide_cat" id="slide_cat" style="width:250px;">
            <?php
				$categories = get_categories('hide_empty=0&orderby=name');				
				foreach ($categories as $category_list ) { ?>
                
				<option value="<?php echo $category_list->cat_name; ?>" <?php if(get_option('cici_slide_cat') == $category_list->cat_name){?>selected="selected"<?php }?>><?php echo $category_list->cat_name; ?></option>			
					    
			<?php	}
			?>
            </select>
            </td>
		</tr>
       		
	</table>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Сохранить изменения" />
		<input type="hidden" name="cici_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<?php }
function get_first_image() {
global $post, $posts;
$first_img = '';
ob_start();
ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];
if(empty($first_img)){ //Defines a default image
$first_img = "/images/default.jpg";
}
return $first_img;
} ?>
<?php
add_action( 'wp_print_scripts', 'my_deregister_javascript', 100 );
function my_deregister_javascript() {
if ( is_home() ) {
wp_deregister_script( 'contact-form-7' );
}
}
?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');


?>